Description

This diff file is Chinese translation to redmine-1.0.0.

Additional, I find the following field isn't used in views.

field_principal: Principal

 Anyone can tell me where it is used in views.

Associated revisions

Revision 3863 - 2010-07-24 11:47 - Azamat Hackimov

Translation updates

fr (#5912)

ru

zh (#5910)

Revision 3893 - 2010-07-28 22:05 - Azamat Hackimov

Translation updates

de (#5982)

he (#5972)

hu (#5962)

zh (#5910)

Revision 3897 - 2010-07-29 17:47 - Azamat Hackimov

Translation updates

de (#5982)

zh (#5910) - revert last commit & new string

History

#1 - 2010-07-21 03:47 - Sheng Wang

Please correct the following field:

-  setting_cache_formatted_text: 缓存已格式化文字

+  setting_cache_formatted_text: 缓存格式化文本

 Thanks a lot.

#2 - 2010-07-24 11:41 - Azamat Hackimov

- Due date set to 2010-07-24

- Status changed from New to Closed

- Target version set to 1.0.1

Patch commited.

field_principal is used on popup message when you try add user to project, but not specified his name. Go to Settings of project, then Members and

check some roles but no users. If you try press Add, you will get message: "Principal can't be blank." You got it :).
#3 - 2010-07-25 15:54 - Sheng Wang

- Status changed from Closed to Reopened

Thanks for your reminding! :-)

The following is the Chinese translation of field_principal

field_principal: 用户

BTW, I found a field needed to I18n.

Special app/models/member.rb

  def validate

    errors.add_to_base "Role can't be blank" if member_roles.empty? && roles.empty?

  end

Chinese translation for this is

xxx: 角色不能为空

#4 - 2010-07-28 22:04 - Azamat Hackimov

- Due date changed from 2010-07-24 to 2010-07-29

- Status changed from Reopened to Closed

Commited to svn, thank you.

#5 - 2010-07-29 02:49 - Sheng Wang

Hi, Azamat:

I found r3893 override r3863.

Additional, fields that my above journal involved seems to doesn't commited.

#6 - 2010-07-29 10:38 - Azamat Hackimov

- Status changed from Closed to Reopened

OK, please give me whole file zh.yml, I totally confused.

#7 - 2010-07-29 12:15 - Sheng Wang

- File zh.yml added

I'm sorry for confusing you. This is whole zh.yml file.

#8 - 2010-07-29 17:54 - Azamat Hackimov

Commited in r3898. Sorry for mistake.

#9 - 2010-07-29 17:54 - Azamat Hackimov

- Status changed from Reopened to Closed

Files

zh.yml.diff 1.62 KB 2010-07-20 Sheng Wang

zh.yml 35.9 KB 2010-07-29 Sheng Wang
